Package voltage.core

# Class VoltagePolyJack

java.lang.Object
voltage.core.VoltageComponent
voltage.core.MultiJack
voltage.core.VoltagePolyJack

public class VoltagePolyJack extends MultiJack
This is a multi-jack for poly jacks. This contains multiple poly jacks.

- ## Field Summary

  ### Fields inherited from class voltage.core.MultiJack

  `INITIAL_JACKS_PER_MULTIJACK`

  ### Fields inherited from class voltage.core.VoltageComponent

  `componentName, displayName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoltagePolyJack(String name, String displayName, VoltageModule module, Jack.JackType type)`
  `VoltagePolyJack(String name, VoltageModule module, Jack.JackType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `GetPolyValue(int polyChannel)`
  `void`
  `SetPolyValue(int polyChannel, double value)`

  ### Methods inherited from class voltage.core.MultiJack

  `IsConnected`

  ### Methods inherited from class voltage.core.VoltageComponent

  `AddChildComponent, GetComponentID, GetDisplayName, GetHeight, GetMaxValue, GetMinValue, GetRect, GetSkin, GetTooltipText, GetTransparency, GetUserProperty, GetValue, GetWidth, GetX, GetY, IsEnabled, IsVisible, RemoveChildComponent, SetCanBeAutomated, SetEnabled, SetPosition, SetRect, SetRect, SetSize, SetSkin, SetTransparency, SetUnits, SetUserProperty, SetValue, SetValue, SetValueNoNotification, SetVisible, SetWantsMouseNotifications, SetZOrder, SkewNormalizedValue, UpdateGUIValue, WantsMouseNotifications`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoltagePolyJack

    public VoltagePolyJack(String name, String displayName, VoltageModule module, Jack.JackType type)

  - ### VoltagePolyJack

    public VoltagePolyJack(String name, VoltageModule module, Jack.JackType type)

- ## Method Details

  - ### SetPolyValue

    public void SetPolyValue(int polyChannel, double value)

  - ### GetPolyValue

    public double GetPolyValue(int polyChannel)